App::Cmd::Subdispatch::DashedStyle(3)

NAME
App::Cmd::Subdispatch::DashedStyle - "app cmd --subcmd" style subdispatching

VERSION
version 0.318

METHODS

  get_command
  my ($subcommand, $opt, $args) = $subdispatch->get_command(@args)

A version of get_command that chooses commands as options in the following style:

  mytool mycommand --mysubcommand

  opt_spec
A version of "opt_spec" that calculates the getopt specification from the subcommands.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.